function y=depoint(u);

global vitesse_rotation  % Ici avec son signe + si Y est suivant le moment cintique
                         % - dans le cas contraire
vit_rot_sat=abs(vitesse_rotation);

% En entre le vecteur d'tat [p q r Q0 Q1 Q2 Q3]

%	u(1:3) est le vecteur rotation
%	u(4:7) est le quaternion d'attitude du satellite (xyz)/XYZ ( repre orbital )

% ***********************************************************************************
% Le programme calcule les 3 dpontages angulaires de 
%	x avec X sur le roulis
%	y avec Y sur le tangage 
%	z avec Z sur le lacet ou le Nadir
% **********************************************************************************

% -----  Angle (x,X) ------

test_x=2*(u(4)^2+u(7)^2)-1;
if abs(test_x)<=1
  teta_x=acos(2*(u(4)^2+u(5)^2)-1);
else
  teta_x=pi*(1-sign(test_x))/2;
end

% -----  Angle (y,Y) ------

test_y=2*(u(4)^2+u(6)^2)-1;
if abs(test_y)<=1
  teta_y=acos(2*(u(4)^2+u(6)^2)-1);
else
  teta_y=pi*(1-sign(test_y))/2;
end

% -----  Angle (z,Z) ------

test_z=2*(u(4)^2+u(7)^2)-1;
if abs(test_z)<=1
  teta_z=acos(2*(u(4)^2+u(7)^2)-1);
else
  teta_z=pi*(1-sign(test_z))/2;
end

% ---------------  Traitement spcial de teta_z  ------------------- Pour le signe  ------------

% P31=(Z vect z).Y si P31 est >0 alors l'angle est >0 autour de Z
P31=2*(u(5)*u(7)+u(4)*u(6));

if P31<0

 teta_z=-teta_z;

end

% Sorties

y=[teta_x teta_y teta_z]';

end

% ******************************  FIN PROGRAMME  ****************************