function y=magn_sat(u);

global mom_mgn_max

% Le vecteur entre est:
%	u(1:3)  le moment magntique brut M  3 composantes
%	u(4:6)  le champ magntique B

% ************************************************************************************
% Le moment magntique est d'abord dbarrass de sa composante sur B, puis,
% ************************************************************************************
% Pour viter une saturation qui risque de bloquer une composante par rapport  une autre
% et donc de ne pas avoir le couple oppos  la rotation principale, on met une saturation
%	proportionnelle avec limitation du moment magntique des bobines  0.2 Am
% ************************************************************************************
% Moment magntique brut

mt_mgn=u(1:3);
B=u(4:6);

% Moment magntique optimis, seulement la composante normale  B

mt_mgn=mt_mgn-(mt_mgn'*B)*B/norm(B);

% Moment magntique limit en puissance ( saturation )

inter=mt_mgn/mom_mgn_max;

maxi=max([1 abs(inter(1)) abs(inter(2)) abs(inter(3))]);


y=mt_mgn/maxi;

end
 