function y=on_off(u);

global angles_hauts angles_bas marche

% Le vecteur d'entre est en colonne  6 composantes:
%	u(1:3) est la variable depointages
%	u(4:6) est la variable des vitesses du satellite par rapport au repre orbital

% ------------------------------------------------------------------------------------
%       dessus est la variable boolenne qui vaut  1 si le seuil haut est dpass vers le haut
%       dessous est la variable boolenne qui vaut 1 si le seuil bas est dpass vers le bas
% ------------------------------------------------------------------------------------

mem_reg=marche(1);   % Mmoire de l'tat prcdent de la rgulation
reg1=mem_reg;
Angles=u(1:3);
                                                                           
dessus=max(abs(Angles))>angles_hauts;
                                             % dessus=abs(u(3))>angles_hauts;                                     
% --------------------
dessous=max(abs(Angles))<=angles_bas;
                                               % dessous=abs(u(3))<=angles_bas;                                       
% --------------------

% Dans tous les cas si le niveau des vitesses ou des angles est trop lv, la rgulation doit
% tre en marche donc reg1=1, 

if (dessus==1)
  reg1=1;
end


% Si le seuil suprieur n'est pas dpass
%	1)  la rgulation est en marche, mais le seuil bas n'est pas atteint
%	     il faut continuer la rgulation

if (dessous==0)&(dessus==0)&(mem_reg==1)
  reg1=1;
end

if (dessous==0)&(dessus==0)&(mem_reg==0)
  reg1=0;
end

% -------------------------------------------------------------------------------------------
% Dans tous les cas si le niveau des vitesses ou des angles est trop faible, la rgulation doit
% tre arrte donc reg1=0,

if (dessous==1)
  reg1=0;
end

% ---------------------------------------------------------------------------------------------
y=reg1;


end