function y=saturmx(u);

global cpl_max_roue mom_max_bobine

% Cette fonction gre les problmes de saturation soit des magntocoupleurs
% soit de la roue, soit des deux quant ils fonctionnent ensemble.
% Dans le cas prsent c'est la bobine roulis, la bobine lacet et la roue tangage
% qui sont traits en parallle, de manire  oprer une saturation, non pas 
% individuelle mais proportionnelle, afin de respecter les conditions mathmatiques
% de la rgulation.

% Variable d'entre u  3 composantes:
%	mx moment magntique primitif de la bobine roulis
% 	mz moment magntique primitif de la bobine lacet
%	Croue couple roue primitif de la roue

mx=u(1);
mz=u(2);
Croue=u(3);

disp('coucou1')
maxi=[abs(mx/mom_max_bobine),abs(mz/mom_max_bobine),abs(Croue/cpl_max_roue)];

disp('coucou2')
coeff_max=max(maxi);

disp('coucou3')

   mzz=mz/coeff_max;
   mxx=mx/coeff_max;
   Cr=Croue/coeff_max;


disp('coucou4')

% En sortie la fonction retourne les valeurs des moments ou couple dans la plage admissible
% Ces valeurs remplacent les valeurs primitives calcules avec notamment les PID

y=[mxx mzz Cr],  % Matrice vecteur colonne

 
disp('coucou5')
end