function y=PBmoinsB(u);

% Cette function sert  calculer la diffrence entre le champ de consigne et le champ rel
% U est le vecteur d'entre  10 composantes :
%	De 1  3 c'est B en axes satellite
%	De 4  6 c'est le vecteur rotation inutile ici
%	De 7  10 c'est le quaternion d'attitude qui servira  calculer la matrice de passage de R0  R

B=u(1:3);   % Champ magntique colonne

Q=u(7:10);  % Quaternion d'attitude


q0=Q(1);
q1=Q(2);
q2=Q(3);
q3=Q(4);

% Calcul de la matrice de passage

P11=2*(q0^2+q1^2)-1;P22=2*(q0^2+q2^2)-1;P33=2*(q0^2+q3^2)-1;
P21=2*(q1*q2+q0*q3);P12=2*(q1*q2-q0*q3);
P31=2*(q1*q3-q0*q2);P13=2*(q1*q3+q0*q2);
P32=2*(q2*q3+q0*q1);P23=2*(q2*q3-q0*q1);

Pmat=[P11 P12 P13;P21 P22 P23;P31 P32 P33];


y=Pmat*B+B;

end

% Fin programme
