function y=cpl_roue(u);

% Donnera en sortie le couple fourni par la roue


global KP_roue KD_roue teta_ref

% Le vecteur entre est  7 composantes
% u(1:3) est le vecteur rotation satellite en axes satellite
% u(4:7) est le quaternion d'attitude satellite par rapport  XYZ (repre orbital )

% *************************************************************************

% -------------  Calcul de teta avec le quaternion  ----------teta=asin(2*(q0*q2-q1*q3))
% ----------- Prcaution devant un argument sous -1 ou sur 1  -------------------------
% On vrifie que la norme de l'argument est <= 1

test=u(4)*u(6)-u(5)*u(7);
if abs(test)>1

  test=sign(test);   % Puisque le sinus vaut 1 ou -1

end

% -------------------------------------------------------------------

teta=asin(test);        % Angle en rd

% ----------  Calcul couple roue ( d'aprs Steyn )----------


couple=KP_roue*(teta-teta_ref)+KD_roue*u(2);  % u(2) est la rotation q

% ----------------------------------

y=couple;


end

