function y =omeg_orb(u);

global vitesse_rotation  % Ici avec son signe + si Y est suivant le moment cintique
                         % - dans le cas contraire
vit_rot_sat=abs(vitesse_rotation);

% En entre le vecteur d'tat [p q r Q0 Q1 Q2 Q3]

%	u(1:3) est le vecteur rotation
%	u(4:7) est le quaternion d'attitude du satellite (xyz)/XYZ ( repre orbital )



% Calcul de omeg_x composante 1 sur x

omega_x=u(1)+2*vit_rot_sat*(u(5)*u(6)+u(4)*u(7));

% Calcul de omeg_y composante 2 sur y

omega_y=u(2)+vit_rot_sat*(2*(u(4)^2+u(6)^2)-1);

% Calcul de omeg_z composante 3 sur z

omega_z=u(3)+2*vit_rot_sat*(u(7)*u(6)-u(4)*u(5));

omega=[omega_x omega_y omega_z]';     % Matrice (3,1) colonne de la rotation relative dans x y z

quat=u(4:7);

Mat=passage(quat);

y=Mat*omega;     % Composantes en axes orbitaux


end

% ********************************************  fin programme  ***************************
% Vrification effectue